LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::i18n::Weekdays Constant Group Referencepublished

Constants for days of a week. More...

## Variables
const short | SUNDAY = 0
| Sunday. More...
const short | MONDAY = 1
| Monday. More...
const short | TUESDAY = 2
| Tuesday. More...
const short | WEDNESDAY = 3
| Wednesday. More...
const short | THURSDAY = 4
| Thursday. More...
const short | FRIDAY = 5
| Friday. More...
const short | SATURDAY = 6
| Saturday. More...

## Detailed Description

Constants for days of a week.

used with XCalendar::getFirstDayOfWeek(), XCalendar::setFirstDayOfWeek() and XCalendar::getDisplayName()

## Variable Documentation

## ◆ FRIDAY

const short FRIDAY = 5

Friday.

## ◆ MONDAY

const short MONDAY = 1

Monday.

## ◆ SATURDAY

const short SATURDAY = 6

Saturday.

## ◆ SUNDAY

const short SUNDAY = 0

Sunday.

## ◆ THURSDAY

const short THURSDAY = 4

Thursday.

## ◆ TUESDAY

const short TUESDAY = 2

Tuesday.

## ◆ WEDNESDAY

const short WEDNESDAY = 3

Wednesday.